## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

# prevent library files from being installed
%global cargo_install_lib 0

%global crate rbw

Name:           rust-rbw
Version:        1.13.2
Release:        %autorelease
Summary:        Unofficial Bitwarden CLI

License:        MIT
URL:            https://crates.io/crates/rbw
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * relax directories dependency from =5.0.0 to 5.0.0
# * relax tokio-tungstenite dependency to allow 0.23 as well as 0.24
# * relax url dependency to allow 2.5.x, not just 2.5.4+
Patch:          rbw-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
Unofficial Bitwarden CLI.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSD-3-Clause
# ISC
# ISC AND MIT AND OpenSSL
# MIT
# MIT AND (MIT OR Apache-2.0)
# MIT AND BSD-3-Clause
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        %{shrink:
                MIT
                AND (MIT OR Apache-2.0) AND Unicode-DFS-2016
                AND Apache-2.0
                AND (Apache-2.0 OR BSL-1.0)
                AND (Apache-2.0 OR ISC OR MIT)
                AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT)
                AND (BSD-2-Clause OR Apache-2.0 OR MIT)
                AND BSD-3-Clause
                AND ISC AND OpenSSL
                AND (MIT OR Apache-2.0 OR Zlib)
                AND MPL-2.0
                AND (Unlicense OR MIT)
		}
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/rbw
%{_bindir}/rbw-agent

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Feb 11 2025 Michel Lind <salimma@fedoraproject.org> - 1.13.2-1
- Update to version 1.13.2; Fixes: RHBZ#2334311

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Aug 20 2024 Michel Lind <salimma@fedoraproject.org> - 1.12.1-1
- Update to version 1.12.1; Fixes: RHBZ#2300468

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jul 06 2024 Michel Lind <salimma@fedoraproject.org> - 1.11.1-1
- Initial package (rhbz#2295886)
## END: Generated by rpmautospec
